[gnome-getting-started-docs] Drop gnome-common
- From: Petr Kovář <pmkovar src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-getting-started-docs] Drop gnome-common
- Date: Tue, 12 Sep 2017 07:44:20 +0000 (UTC)
commit b1be863cba91a07921742f265088f8f75fff865c
Author: Petr Kovar <pkovar redhat com>
Date: Tue Sep 12 09:31:17 2017 +0200
Drop gnome-common
autogen.sh | 36 +++++++++++++++++++++++++++---------
1 files changed, 27 insertions(+), 9 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index c44fdf3..096af2a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,19 +4,37 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-(test -f $srcdir/configure.ac \
- && test -d $srcdir/gnome-help) || {
+olddir=$(pwd)
+
+cd $srcdir
+
+(test -f $srcdir/configure.ac && test -d $srcdir/gnome-help) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level gnome-getting-started-docs directory"
exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME Git"
- exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
-REQUIRED_AUTOMAKE_VERSION=1.11
-export REQUIRED_AUTOMAKE_VERSION
+ if [ "$1" = "--help" ]; then exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
-. gnome-autogen.sh
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]